#include <stdio.h>

/* PROGRAMA EN C QUE INTERCAMBIA LOS CARACTERES DE DOS VARIABLES TIPO CHAR
   LLAMANDO A UNA FUNCIN QUE UTILIZA PARMETROS POR EFERENCIA Y NO POR VALOR,
   ES DECIR, RECIBE COMO ARGUMENTOS DIRECCIONES DE MEMORIA */

void intercambiar(char *a, char *b); //Prototipo de la funcion intercambiar
   
int main()
  {
   char letra1, letra2; //variables locales de la funcin main()
   
   letra1='A';
   letra2='B';
   
   printf("%c %c \n",letra1,letra2);
   intercambiar(&letra1, &letra2); //llamado de la funcin y paso de 
                                   // parametros por referencia cuyos
                                   // argumentos son direcciones de memoria y
                                   // no valores...
   printf("%c %c \n",letra1,letra2);
  
   printf("\n");
   system("pause");
   return 1;  
  }

// Funcin intercambiar cuyos parametros son por referencia (apuntadores) y no
// por valor...
void intercambiar(char *a, char *b)
   {
    char temp;
    temp=*a;
    *a=*b;
    *b=temp;
   }
