#include <stdio.h>
#include <stdlib.h>

/* PROGRAMA EN C QUE INTERCAMBIA LAS CADENAS DE DOS VARIABLES TIPO CHAR*
   LLAMANDO A UNA FUNCIN QUE UTILIZA PARMETROS POR EFERENCIA Y NO POR VALOR,
   ES DECIR, RECIBE COMO ARGUMENTOS LAS DIRECCIONES INICIALES DE LAS CADENAS
   A INTERCAMBIAR */

void intercambiar(char **a, char **b); //Prototipo de la funcin intercambiar
                                       //que utilizar dos parametros de tipo
                                       //apuntador doble a caracteres...
  
int main()
  {
   char *letra1, *letra2; //Apuntadores que representan las cadenas de caracteres
   
   letra1=malloc(10*sizeof(char)); //Reserva de memoria para la primera cadena
   letra2=malloc(10*sizeof(char)); //Reserva de memoria para la segunda cadena
   
   letra1="HOLA"; //Asignacin de una cadena a la variable de tipo apuntador
   letra2="MUNDO"; //Asignacin de una cadena a la variable de tipo apuntador
   
   printf("%s %s \n",letra1,letra2);
   intercambiar(&letra1,&letra2); //Lllamado de la funcion intercambiar 
                                  //utilizando parametros por referencia
                                  //es decir, se le pasa a la funcion la 
                                  //direccion de memoria de las cadenas...
   printf("%s %s \n",letra1,letra2);
   printf("\n");
   system("pause");
   return 1;  
  }

//Funcion intercambiar que tiene como parametros dos apuntadores dobles a
//caracteres...
void intercambiar(char **a, char **b)
   {
    char **temp;
    temp=malloc(10*sizeof(char));

    *temp=*a;
    *a=*b;
    *b=*temp;
   } 
